@if (versionsComponentData$ | async; as versionsComponentData) {
  @if (versionsComponentData.requirementId) {
    <sqtm-core-workspace-with-grid
      [licenseInformation]="referentialDataService.licenseInformation$ | async"
      [licenseBannerPlacement]="'WORKSPACES'"
      [isLoggedAsAdmin]="referentialDataService.isAdmin() | async"
      [workspaceTheme]="'requirement-workspace'"
      [name]="'requirement-versions'"
      [rootUrl]="[
        '/',
        'requirement-workspace',
        'requirement',
        versionsComponentData.requirementId.toString(),
        'version'
      ]"
    >
      <sqtm-core-nav-bar projection="navBar"></sqtm-core-nav-bar>
      <sqtm-app-requirement-multi-version-grid projection="grid">
      </sqtm-app-requirement-multi-version-grid>
    </sqtm-core-workspace-with-grid>
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }
}
